using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 导航：需求人员
    /// </summary>
    [Description("导航：需求人员")]
    public class T_LR_DEMAND_USER : MesEntityBase
    {
        /// <summary>
        /// 其他识别表
        /// </summary>
        [Description("其他识别表")]
        [DataFieldForeignKey("Nav_OtherDistinguish", "Nav_DemandUser")]
        public Guid OTHER_ID { get; set; }

        /// <summary>
        /// 需求人员表
        /// </summary>
        [Description("需求人员表")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：其他识别表
        /// </summary>
        [Description("导航：其他识别表")]
        public T_LR_OTHER_DISTINGUISH Nav_OtherDistinguish { get; set; }

        /// <summary>
        /// 导航：需求人员表
        /// </summary>
        [Description("导航：需求人员表")]
        public T_FM_USER Nav_User { get; set; }
    }
}
